<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:insert="fragments/head :: head(title='Registration')"></head>
<body>
<div th:insert="fragments/navbar :: navbar"></div>
<section class="vh-100 gradient-custom">
    <div class="container py-5 h-100">
        <div class="row d-flex justify-content-center align-items-center">
            <div class="col-12 col-md-8 col-lg-6 col-xl-5">
                <div class="card-body p-5 text-center">
                    <div class="mb-md-5 mt-md-4 pb-5">
                        <form class="form-control" method="post">
                            <h2 class="fw-bold mb-2 text-uppercase">Registration</h2>
                            <p class="text-primary mb-5">Please enter for registration!</p>

                            <div class="container" th:if="${error != null}">
                                <div class="alert alert-danger" th:utext="${error}"></div>
                            </div>
                            <div class="container" th:if="${message != null}">
                                <div class="alert alert-info" th:text="${message}"></div>
                            </div>

                            <div class="form-outline form-white mb-4">
                                <input type="text" aria-label="Username" class="form-control" id="username"
                                       name="username"
                                       placeholder="Login/Username" pattern="^[a-zA-Z0-9]{1,100}$">
                            </div>

                            <div class="form-outline form-white mb-4">
                                <input type="password" aria-label="Password" class="form-control" name="password"
                                       id="password"
                                       placeholder="Create password"/>
                            </div>
                            <div class="form-outline form-white mb-4">
                                <input type="password" aria-label="Repeat password" class="form-control"
                                       name="repeat" id="repeat"
                                       placeholder="Repeat password"/>
                            </div>

                            <input type="submit" class="btn btn-outline-primary btn-lg px-5" value="Registration">
                        </form>
                    </div>
                    <p class="mb-0">Have account?
                        <a th:href="@{/login}" class="text-primary fw-bold">Sign In</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>